This URL unassigns multiple licenses to the device.
Resource URL
POST /license/unassignMultiLicense
Request Parameters
URL Parameters: None
Payload Request Parameters:
Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| License id | String | Yes |
| Grant Index of the license | Number | Yes |
| Grant id of the license | String | Yes |
| Sensor id to be associated with license | String | Yes |
Response Parameters
Following fields are returned.
Field Name | Description | Data Type |
|---|---|---|
| Success status (true or false) | Boolean |
| Message | String |
| Error message | String |
| Data | String |
| Error code | Number |
Example
Request
PUT https://<NSM_IP>/sdkapi/license/unassignMultiLicense
Payload
[{"licenseId":"19112024-TLX-010000","grantIndex":1,"grantId":"260620231-TLX"},
{"licenseId":"19112024-TLX-010004","grantIndex":1,"grantId":"260620231-TLX"},
{"licenseId":"19112024-TLX-010003","grantIndex":1,"grantId":"260620231-TLX"},
{"licenseId":"19112024-TLX-010002","grantIndex":1,"grantId":"260620231-TLX"},
{"licenseId":"19112024-TLX-010005","grantIndex":1,"grantId":"260620231-TLX"}]
Response
{
"success": true,
"msg": null,
"errMsg": null,
"data": null,
"errorCode": 0
}
Error Information
Following error codes are returned by this URL:
No | HTTP Error Code | SDK API errorId | SDK API errorMessage |
|---|---|---|---|
1 | 500 | 1001 | Internal error |